Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# SessionID.h File Reference

Go to the source code of this file.

## Classes

class | FIX::SessionID
| Unique session id consists of BeginString, SenderCompID and TargetCompID. More...

## Namespaces

namespace | FIX

## Functions

bool | FIX::operator< (const SessionID &lhs, const SessionID &rhs)
bool | FIX::operator== (const SessionID &lhs, const SessionID &rhs)
bool | FIX::operator!= (const SessionID &lhs, const SessionID &rhs)
std::ostream & | FIX::operator<< (std::ostream &stream, const SessionID &sessionID)
std::istream & | FIX::operator>> (std::istream &stream, SessionID &sessionID)